Arch Axes

From FreeCAD Documentation
Revision as of 12:15, 6 April 2019 by Mario52 (talk | contribs)
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search
Other languages:
čeština • ‎Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский • ‎svenska • ‎Türkçe • ‎українська
Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch AxisSystem.png Arrow-right.svg

Arch Axis.svg Arch Axes

Emplacement du menu
Arch → Axis
Ateliers
Atelier architecture
Raccourci par défaut
A X
Introduit dans la version
-
Voir aussi
Système d'axes, Grille


Description

L'outil Axes vous permet de placer une série d'axes dans le document actuel. La distance et l'angle entre les axes sont personnalisables, ainsi que le style de numérotation. Les axes servent principalement de références pour accrocher des objets, mais peuvent également être utilisés avec Système d'axes, et peuvent également être référencés par d'autres objets Arch pour créer des tableaux paramétriques, par exemple des poutres ou des colonnes. Grilles peut également être utilisé à la place des axes.

Arch Axis example.jpg

Deux objets axes placés perpendiculairement l'un par rapport à l'autre pour créer une grille


Utilisation

  1. Appuyez sur le bouton Système d'axes Système d'axes ou appuyez sur les touches A puis X .
  2. Déplacer / Faire une Rotation le système d'axes dans la position souhaitée.
  3. entrez en mode édition en double-cliquant sur le système d'axes dans la vue combinée pour ajuster ses paramètres, comme le nombre d'axes, les distances, et, les angles entre les axes.

Options

  • Chaque axe, dans un système d'axes a sa propre distance, et, angle par rapport à l'axe précédent. Cela permet de faire des systèmes très complexes, tels que les systèmes non orthogonaux, systèmes polaires, ou n'importe quel système de type de non uniforme.
  • La longueur des axes, la taille des bulles, et, les styles de numérotation sont personnalisables, directement via les propriétés du système d'axes.

Propriétés

  • DONNÉESLength: La longueur des axes.
  • VUEBubble Size: La taille des bulles des axes.
  • VUENumeration style: Style de numérotation : 1,2,3, A,B,C, etc...
  • VUEBubble Position: Position de la bulle sur l'axe: Point de départ, point de terminaison, les deux ou aucun.
  • VUEFont Name: Police du numéro de la bulle et/ou les étiquettes
  • VUEFont Size: La taille du texte de l'étiquette uniquement (le texte de la bulle est contrôlé par la taille de la bulle)
  • VUEShow Labels: Active/désactive l'affichage du textes des étiquettes

Scripts

Voir aussi: API et Débuter avec les scripts.

L'outil axes peut être utilisé dans une macro et à partir de la console Python en utilisant la fonction suivante :

Axes = makeAxis(num=5, size=1000, name="Axes")
  • Crée un objet Axes à partir du nombre donné (num) d'axes et de la taille, l'intervalle entre chaque axe.

Exemple:

import Draft, Arch

Axes = Arch.makeAxis(5, 1000)

Axes.ViewObject.LineWidth = 3
Axes.ViewObject.BubbleSize = 200
Axes.ViewObject.FontSize = 150

Axes2 = Arch.makeAxis(6, 500)

Axes2.ViewObject.LineWidth = 2
Axes2.ViewObject.BubbleSize = 200
Axes2.ViewObject.FontSize = 150
Axes2.ViewObject.NumberingStyle = "A,B,C"
FreeCAD.ActiveDocument.recompute()

Axes2.Length = 6000
Draft.rotate(Axes2, -90)
Draft.move(Axes2, FreeCAD.Vector(-1000, 2500, 0))
FreeCAD.ActiveDocument.recompute()
Arrow-left.svg Page précédente: Arch CompAxis.png Axes
Page suivante: Système d'axes Arch AxisSystem.png Arrow-right.svg